OPENSEARCH-DISCOVER(1)

NAME
opensearch-discover - Find an OpenSearch link from a given URL.

SYNOPSIS
opensearch-discover [-q] [-v] [-t TITLE] [-1|-a] <[-h] [URL]

DESCRIPTION
Loads the given URL, searches it for a link to an OpenSearch description URL, and prints that URL.

OPTIONS

-q, --quiet
    Give no output on errors. In this case, consult the exit code to determine errors (See "DIAGNOSTICS").

-v, --verbose
    Verbose: display titles with links. Combine with -a to see all available searches

-t TITLE, --title=TITLE
    Only display links matching TITLE, a case-insensitive perl regular expression. For example, -t book would match Book Search, and -t b.*k would match Book Search or Baby Springbok.

-1, --first
    Only display first (matching) link. This is the default.

-a, --all
    Display all (matching) links.

-h, --help
    Display a short help message.

DIAGNOSTICS
On success, prints the address of the OpenSearch description file and returns 0.

If it cannot load the given URL, it returns 1.

If the given URL does not contain a link to an OpenSearch description file, it returns 2.

If required perl modules are missing, it returns 3.

DEPENDENCIES
Requires modules from libwww-perl and HTML::Parser (Debian package libhtml-parser-perl).

BUGS
None known. Please report any found to ianb@erislabs.net

SEE ALSO
opensearch(1), opensearch-genquery(1), surfraw(1), WWW::OpenSearch(3pm), <http://www.opensearch.org/>

AUTHOR
Ian Beckwith <ianb@erislabs.net>

COPYRIGHT AND LICENSE
Copyright 2006 Ian Beckwith <ianb@erislabs.net>

Licensed under the same terms as surfraw.